stages:
  - build
  - test
  - deploy

build_maven:
  stage: build
  tags:
    - was
  script:
    - echo "build maven....."
    - echo "mvn clean"
    - echo "done"

test_springboot:
  stage: test
  tags:
    - was
  script:
    - echo "run java test....."
    - echo "java -test"
    - echo "done"

deploy_springboot:
  stage: deploy
  tags:
    - was
  script:
    - echo "deploy springboot...."
    - echo "run mvn install"
    - echo "done"
